class CreatorsController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @creator_pages, @creators = paginate :creators, :per_page => 10
  end

  def show
    @creator = Creator.find(params[:id])
  end
  
  def show_by_name
	@creator = Creator.find_by_name(params[:name])
	render :action => 'show'
  end

  def new
    @creator = Creator.new
  end

  def create
    @creator = Creator.new(params[:creator])
    if @creator.save
      flash[:notice] = 'Creator was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @creator = Creator.find(params[:id])
  end

  def update
    @creator = Creator.find(params[:id])
    if @creator.update_attributes(params[:creator])
      flash[:notice] = 'Creator was successfully updated.'
      redirect_to :action => 'show', :id => @creator
    else
      render :action => 'edit'
    end
  end

  def destroy
    Creator.find(params[:id]).destroy
    redirect_to :action => 'list'
  end

end
