class EggdroppersController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @eggdropper_pages, @eggdroppers = paginate :eggdroppers, :per_page => 10
  end

  def show
    @eggdropper = Eggdropper.find(params[:id])
  end

  def new
    @eggdropper = Eggdropper.new
  end

  def create
    @eggdropper = Eggdropper.new(params[:eggdropper])
    if @eggdropper.save
      flash[:notice] = 'Eggdropper was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @eggdropper = Eggdropper.find(params[:id])
  end

  def update
    @eggdropper = Eggdropper.find(params[:id])
    if @eggdropper.update_attributes(params[:eggdropper])
      flash[:notice] = 'Eggdropper was successfully updated.'
      redirect_to :action => 'show', :id => @eggdropper
    else
      render :action => 'edit'
    end
  end

  def destroy
    Eggdropper.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
